[Bf-blender-cvs] SVN commit: /data/svn/bf-blender [52301] trunk/blender/build_files/ build_environment/install_deps.sh: Install dependencies: abort script if compilation of some component failed

Sergey Sharybin sergey.vfx at gmail.com
Sat Nov 17 13:10:36 CET 2012


Revision: 52301
          http://projects.blender.org/scm/viewvc.php?view=rev&root=bf-blender&revision=52301
Author:   nazgul
Date:     2012-11-17 12:10:35 +0000 (Sat, 17 Nov 2012)
Log Message:
-----------
Install dependencies: abort script if compilation of some component failed

Modified Paths:
--------------
    trunk/blender/build_files/build_environment/install_deps.sh

Modified: trunk/blender/build_files/build_environment/install_deps.sh
===================================================================
--- trunk/blender/build_files/build_environment/install_deps.sh	2012-11-17 12:09:50 UTC (rev 52300)
+++ trunk/blender/build_files/build_environment/install_deps.sh	2012-11-17 12:10:35 UTC (rev 52301)
@@ -182,6 +182,9 @@
     if [ -d $_inst ]; then
       rm -f $INST/python-3.3
       ln -s python-$PYTHON_VERSION $INST/python-3.3
+    else
+      ERROR "Python--$PYTHON_VERSION failed to compile, exiting"
+      exit 1
     fi
 
     magic_compile_set python-$PYTHON_VERSION $py_magic
@@ -229,6 +232,9 @@
     if [ -d $_inst ]; then
       rm -f $INST/boost
       ln -s boost-$BOOST_VERSION $INST/boost
+    else
+      ERROR "Boost-$BOOST_VERSION failed to compile, exiting"
+      exit 1
     fi
 
     magic_compile_set boost-$BOOST_VERSION $boost_magic
@@ -303,6 +309,9 @@
     if [ -d $_inst ]; then
       rm -f $INST/ocio
       ln -s ocio-$OCIO_VERSION $INST/ocio
+    else
+      ERROR "OpenColorIO-$OCIO_VERSION failed to compile, exiting"
+      exit 1
     fi
 
     magic_compile_set ocio-$OCIO_VERSION $ocio_magic
@@ -376,6 +385,9 @@
     if [ -d $_inst ]; then
       rm -f $INST/oiio
       ln -s oiio-$OIIO_VERSION $INST/oiio
+    else
+      ERROR "OpenImageIO-$OIIO_VERSION failed to compile, exiting"
+      exit 1
     fi
 
     magic_compile_set oiio-$OIIO_VERSION $oiio_magic
@@ -450,6 +462,9 @@
     if [ -d $_inst ]; then
       rm -f $INST/osl
       ln -s osl-$OSL_VERSION $INST/osl
+    else
+      ERROR "OpenShadingLanguage-$OSL_VERSION failed to compile, exiting"
+      exit 1
     fi
 
     magic_compile_set osl-$OSL_VERSION $osl_magic
@@ -539,6 +554,9 @@
     if [ -d $_inst ]; then
       rm -f $INST/ffmpeg
       ln -s ffmpeg-$FFMPEG_VERSION $INST/ffmpeg
+    else
+      ERROR "FFmpeg-$FFMPEG_VERSION failed to compile, exiting"
+      exit 1
     fi
 
     magic_compile_set ffmpeg-$FFMPEG_VERSION $ffmpeg_magic




More information about the Bf-blender-cvs mailing list